SQLITE3_VALUE_DUP(3) | Library Functions Manual | SQLITE3_VALUE_DUP(3)

# NAME

sqlite3_value_dup, sqlite3_value_free — Copy And Free SQL Values

# SYNOPSIS

sqlite3_value *
sqlite3_value_dup(const sqlite3_value*);
void
sqlite3_value_free(sqlite3_value*);

# DESCRIPTION

The sqlite3_value_dup(V) interface makes a copy of the sqlite3_value object D and returns a pointer to that copy. The sqlite3_value returned is a protected sqlite3_value object even if the input is not. The sqlite3_value_dup(V) interface returns NULL if V is NULL or if a memory allocation fails.
The sqlite3_value_free(V) interface frees an sqlite3_value object previously obtained from sqlite3_value_dup(). If V is a NULL pointer then sqlite3_value_free(V) is a harmless no-op.

# SEE ALSO

sqlite3_value(3), sqlite3_value_dup(3)

March 11, 2017 | NetBSD 8.2